from Crypto.Cipher import AES

# Klucz musi mieć długość 16, 24 lub 32 bajty.
key = "poufny-klucz-123"
encrypt_AES = AES.new(key.encode("utf8"), AES.MODE_CBC, 'Wektor-inic-1234'.encode("utf8"))
# Dane dopełnione do 32 bajtów.
message = "To jest poufny komunikat        ".encode("utf8")
ciphertext = encrypt_AES.encrypt(message)
print("Zaszyfrowany tekst:", ciphertext)
decrypt_AES = AES.new(key.encode("utf8"), AES.MODE_CBC, 'Wektor-inic-1234'.encode("utf8"))
message_decrypted =  decrypt_AES.decrypt(ciphertext)
print("Odszyfrowany tekst:", message_decrypted.strip().decode())